
Redmine - Feature #992

Option to search open issues only

2008-04-04 07:45 - Maxim Krušina

Status: Closed Start date: 2008-04-04

Priority: Normal Due date:  

Assignee: Jean-Philippe Lang % Done: 0%

Category: Search engine Estimated time: 0.00 hour

Target version: 3.0.0   

Resolution: Fixed   

Description

I think two improvements can help a lot:

Add filter to search in open tickes only (now it's searching just thru all tickets, which is a bit frustrating when looking for my old

tickets on redmine.org)

Add information about ticket state in search results - now I even cannot see, if ticket is closd or not

Related issues:

Related to Redmine - Feature #4873: Add "advanced features" to search box (as... Closed 2010-02-18

Related to Redmine - Feature #3912: Add support for AND's and OR's in search New 2009-09-24

Related to Redmine - Feature #2865: One click filter in search view Closed 2009-02-28

Related to Redmine - Feature #9063: Searchable comments from "Log time" Closed 2011-08-16

Related to Redmine - Feature #4138: Add spent time comments in search Needs feedback2009-10-29

Related to Redmine - Feature #13556: Add feature to search engine to distingu... Closed

Has duplicate Redmine - Feature #10645: Need an option to omit Closed issues ... Closed

Has duplicate Redmine - Feature #10734: Search on Open or Closed Issues Closed

Associated revisions

Revision 2256 - 2009-01-11 12:01 - Jean-Philippe Lang

Different icon for closed issues in search result (#992).

History

#1 - 2009-01-10 18:36 - Neil Rodrigues

I would personally love this feature as well.  Often I have to perform searches to see whether or not an issue has already been created.  It would be

great to be able to filter out all closed issues, or at least for the icon to indicate the issue status (like it does on the Activity page).

#2 - 2009-01-11 11:59 - Jean-Philippe Lang

or at least for the icon to indicate the issue status (like it does on the Activity page)

 Done in r2256.

#3 - 2009-01-15 03:39 - Neil Rodrigues

Is there any way you could apply this to the Classic theme too?

#4 - 2009-01-15 03:46 - Neil Rodrigues

Neil Rodrigues wrote:

Is there any way you could apply this to the Classic theme too?

 Nevermind.  It is there.  I just forgot to clear my cache.

#5 - 2010-10-19 21:33 - Raphael Sofaer

Even with a relatively small amount of tickets, not being able to search only open tickets is pretty annoying.
#6 - 2010-12-03 03:54 - Gam Ov

I love Redmine and use it everyday but this is the single most annoying part of the application. You have to filter mentally / manually the closed tickets

from the open ones...

I'm actually quite shocked that this is not yet implemented. Is there a way to pledge and donate for a particular feature?

As the number of closed tickets grows, your search result gets polluted by those old tickets and there is more everyday.

#7 - 2010-12-29 12:09 - Fernando Hartmann

+1

#8 - 2011-06-08 11:40 - Carsten Guthardt-Schulz

- Assignee set to Jean-Philippe Lang

Being able to search for open tickets only would really be a great feature. As soon as you have a few hundred tickets (easily reached in most projects)

you often get tons of irrelevant (because already solved) results when searching for keywords.

@Jean-Philippe: You implemented the icon two years ago, is there any chance you could add the filter?

#9 - 2011-07-19 22:43 - mythos mint

+1

#10 - 2012-02-16 00:47 - Xed Mada

+1 Search only open or only closed issues would make search actually useful for our team.

#11 - 2012-02-24 17:21 - Fernando Hartmann

Suggestions  :-)

The search page can use the same filtering mechanism of the issue page (including the options e group by sections), with this we can refine the

search using a "familiar" interface for the user.

It would be great if the search can be made ignoring accents, in languages like Portuguese we use a lot off then but wen searching you never

now if it was used or not.

Can use regex for advanced searches .

#12 - 2012-04-29 13:51 - Adam Dingle

+1.  I almost always want to search only open issues and so today I rarely use the search box; I have to go through the filter interface instead, which

is cumbersome.

#13 - 2012-04-29 22:14 - Terence Mill

+1 for improved search otptions from global search

#14 - 2012-12-03 05:25 - marm motte

+1 to what Fernando Hartmann wrote:

Suggestions  :-)

The search page can use the same filtering mechanism of the issue page (including the options e group by sections), with this we can

refine the search using a "familiar" interface for the user.

It would be great if the search can be made ignoring accents, in languages like Portuguese we use a lot off then but wen searching you

never now if it was used or not.

Can use regex for advanced searches .

#15 - 2013-02-21 15:55 - Fernando Hartmann

Please think about this feature !

We that use accented characters have a lot of problems in search because nowadays as the search works, words like Índia , índia , india are different

!

To us is very difficult to find something in a big project, because you never now how people wrote the name.

Please solve this issue in the next version.

Thanks for your great work.

#16 - 2013-03-18 19:19 - Fernando Hartmann

Fernando Hartmann wrote:

Please think about this feature !
We that use accented characters have a lot of problems in search because nowadays as the search works, words like Índia , índia , india are

different !

To us is very difficult to find something in a big project, because you never now how people wrote the name.

 Ok, my bad ..

This was happening by a misleading on Redmine/MySQL configuration. I had in Redmine Latin1 configured and on MySQL UTF8, after the correction

the searches are ok.

But my vote to this Issue is still valid because we need a better way to refine the queries over huge bases of issues.

#17 - 2013-03-18 19:36 - Daniel Felix

Well I would agree that the search could be pretty improved.

#18 - 2013-06-14 19:02 - Lu Pon

+1

#19 - 2013-10-01 12:30 - Toshi MARUYAMA

- Related to Feature #4138: Add spent time comments in search added

#20 - 2014-03-04 08:20 - Arnis Juraga

+1 to #10734 - is is really hard to list all issues in "global search", even on redmine org - if I want to search only for open issues. Even when I

searched for issues with #10734 subject - a lot of "closed" unneeded issues.

#21 - 2014-06-05 08:04 - Daniel Widerin

+1 to this and #10734, any news?

#22 - 2014-09-03 16:23 - Kevin Palm

+1

#23 - 2015-01-10 11:12 - Jean-Philippe Lang

- Subject changed from Add more search options to Option to search open issues only

- Status changed from New to Closed

- Target version set to 3.0.0

- Resolution set to Fixed

Feature added in r13858.

#24 - 2015-01-15 07:31 - Toshi MARUYAMA

- Related to deleted (Feature #10734: Search on Open or Closed Issues)

#25 - 2015-01-15 07:31 - Toshi MARUYAMA

- Has duplicate Feature #10734: Search on Open or Closed Issues added

#26 - 2015-02-03 06:05 - Go MAEDA

- Related to Feature #13556: Add feature to search engine to distinguish between closed and open tickets added
